import { useEffect } from "react";
import BasePostLayout from "../layout/BasePost/BasePostLayout";
import { useMainContext } from "../layout/MainProvider";
import { PostType } from "@nice/common";
import MyDutyPathContainer from "./components/MyDutyPathContainer";

export default function MyDutyPathPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.PATH);
	}, [setSearchMode]);
	return (
		<BasePostLayout>
			<MyDutyPathContainer></MyDutyPathContainer>
		</BasePostLayout>
	);
}
